Name:        gnatcoll    
Version:    2012
Release:    7%{?dist}
Summary:    Suite of reusable software components and utilities
Group:      System Environment/Libraries
License:    GPLv2+
URL:        http://libre.adacore.com
## Direct link not available
Source0:    %{name}-gpl-%{version}-src.tgz 
Patch1:     %{name}-%{version}-directories.patch
Patch2:     %{name}-%{version}-optflags.patch
Patch3:     %{name}-%{version}-destdir.patch
BuildRequires:   fedora-gnat-project-common >= 2 
BuildRequires:   python-devel gmp-devel GtkAda-devel
BuildRequires:   pygtk2-devel postgresql-devel chrpath
BuildRequires:   gprbuild gcc-gnat
# gcc-gnat only available on these:
ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64 alpha


%description
The GNAT Component Collection is a suite 
of reusable software components and utilities. 
It has been used by AdaCore in developing the GNAT tool set, 
the GPS Integrated Development Environment, and GNAT Tracker, 
its web-based customer support interface.

%package devel
Summary:    Devel package for %{name}
License:    GPLv2+
Group:      Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}

%prep
%setup -q -n %{name}-gpl-%{version}-src
%patch1 -p1
%patch2 -p1 
%patch3 -p1

%build
%configure --enable-shared
%if 0%{?fedora} >= 16
export GNAT_OPTFLAGS="%GPRbuild_optflags"
%else
export GNAT_OPTFLAGS="%GNAT_optflags"
%endif
make ##%%%{?_smp_mflags}


%install
rm -rf %{buildroot}
export projectdir=%_GNAT_project_dir
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}/%{_libdir}/%{name}/static/*
rm -rf %{buildroot}/%{_datadir}/gps
%ifarch x86_64
rm -rf %{buildroot}/%{_libdir}/gnat
%endif
chrpath --delete %{buildroot}/%{_libdir}/%{name}/relocatable/*.so.*
chrpath --delete %{buildroot}/%{_bindir}/* 
rm -f %{buildroot}/%{_datadir}/%{name}/dborm.pyc
rm -f %{buildroot}/%{_datadir}/%{name}/dborm.pyo

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README COPYING3 COPYING.RUNTIME
%{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/relocatable
%{_libdir}/%{name}/relocatable/*.so.1.?w
%{_libdir}/*.so.1.?w
%{_docdir}/%{name}
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%doc CHANGE_189208
%{_GNAT_project_dir}/%{name}*
%{_includedir}/%{name}
%{_libdir}/%{name}/relocatable/*.ali
%{_libdir}/%{name}/relocatable/*.so
%{_libdir}/%{name}/relocatable/*.so.1
%{_libdir}/*.so.1




%changelog
* Sat Jan 26 2013 Pavel Zhukov <landgraf@fedoraproject.org> - 2012-7
- Rebuild with new libgmat
- Add gcc-gnat to BR

* Tue Jul 24 2012 Pavel Zhukov <landgraf@fedoraproject.org> - 2012-5
- Delete rpath from libraries
- Add lgpr files to project

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 17 2012 Pavel Zhukov <landgraf@fedoraproject.org> - 2012-3
- Update to 2012
- Fix library type in gpr
- Fix project files path

* Sun Mar 10 2012  Pavel Zhukov <landgraf@fedoraproject.org> - 2011-8
- Rebuild for new gprbuild 

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2011-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 08 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2011-6
- Rebuild for new spm 

* Thu Aug 18 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2011-5
- Fix gnat_optflags

* Wed Aug 17 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2011-4
- Initial build
- Remove trailing @ from Makefile
- Add ifarch for rm
- Add ExcludeArch

